<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Models\User;
use App\Models\SettingsModel;
use App\Models\ReferelEarnings;
use App\Models\AmountDistributionHistory;
use Validator,DB;

class AlloteReferalEranings extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:allote-referal-eranings {user_id}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        //
        $user_id = $this->argument("user_id");
        DB::enableQueryLog();
        

        $user =  User::with(['refered_by_user','refered_by_user.refered_by_user','refered_by_user.refered_by_user.refered_by_user'])->where(['id'=>$user_id])->get();
        //dd(DB::getQueryLog());
        
        if($user->count() > 0){
            $user = $user->first();
            //printr($user->refered_by_user->toArray());
            if($user->is_commission_processed == 0){
                $settings = SettingsModel::first();
                $plat_form_fee = $settings->platform_fee;
                if(isset($user->refered_by_user) && !empty($user->refered_by_user)){
                    $first_level_commission = $settings->referal_distribution_level_1??0;
                    $second_level_commission = $settings->referal_distribution_level_2??0;
                    $third_level_commission = $settings->referal_distribution_level_3??0;
                    
                    $first_amount =  ( $plat_form_fee * $first_level_commission ) / 100;
                    $second_amount =  ( $plat_form_fee * $second_level_commission ) / 100;
                    $third_amount =  ( $plat_form_fee * $third_level_commission ) / 100;
                   
                    $first_earning =  new ReferelEarnings();
                    $first_earning->user_id = $user->refered_by_user->id;
                    $first_earning->earned_from_user_id = $user_id;
                    $first_earning->percentage = $first_level_commission;
                    $first_earning->platform_fee = $plat_form_fee;
                    $first_earning->earned_amount = $first_amount;
                    $first_earning->earning_status = 0;
                    $first_earning->smart_contract_status = 0;
                    $first_earning->created_at = gmdate('Y-m-d H:i:s');
                    $first_earning->updated_at = gmdate('Y-m-d H:i:s');
                    $first_earning->save();
                    //transfer commission
                    if($user->refered_by_user->wallet_address){
                        $this->transferAmount($first_amount,$user->refered_by_user->wallet_address,$first_earning->user_id,$first_earning->id);
                    }
                    
                    
                    if(isset($user->refered_by_user->refered_by_user) && !empty($user->refered_by_user->refered_by_user)){
                        $second_earning =  new ReferelEarnings();
                        $second_earning->user_id = $user->refered_by_user->refered_by_user->id;
                        $second_earning->earned_from_user_id = $user_id;
                        $second_earning->percentage = $second_level_commission;
                        $second_earning->platform_fee = $plat_form_fee;
                        $second_earning->earned_amount = $second_amount;
                        $second_earning->earning_status = 0;
                        $second_earning->smart_contract_status = 0;
                        $second_earning->created_at = gmdate('Y-m-d H:i:s');
                        $second_earning->updated_at = gmdate('Y-m-d H:i:s');
                        $second_earning->save();
                        //transfer commission
                        if($user->refered_by_user->refered_by_user->wallet_address){
                            $this->transferAmount($second_amount,$user->refered_by_user->refered_by_user->wallet_address,$second_earning->user_id,$second_earning->id);
                        }
                        if(isset($user->refered_by_user->refered_by_user->refered_by_user) && !empty($user->refered_by_user->refered_by_user->refered_by_user)){
                            $third_earning =  new ReferelEarnings();
                            $third_earning->user_id = $user->refered_by_user->refered_by_user->refered_by_user->id;
                            $third_earning->earned_from_user_id = $user_id;
                            $third_earning->percentage = $third_level_commission;
                            $third_earning->platform_fee = $plat_form_fee;
                            $third_earning->earned_amount = $third_amount;
                            $third_earning->earning_status = 0;
                            $third_earning->smart_contract_status = 0;
                            $third_earning->created_at = gmdate('Y-m-d H:i:s');
                            $third_earning->updated_at = gmdate('Y-m-d H:i:s');
                            $third_earning->save();
                            
                            //transfer commission
                            if($user->refered_by_user->refered_by_user->refered_by_user->wallet_address){
                                $this->transferAmount($third_amount,$user->refered_by_user->refered_by_user->refered_by_user->wallet_address,$third_earning->user_id,$third_earning->id);
                            }
                        }
                    }
                    echo "processed";
                }
                
                $reg_user = User::find($user_id);
                $reg_user->is_commission_processed = 1;
                $reg_user->save();
            }else{
                echo $messge = "Already processed commission";
            }
        }
    }
    
    public function transferAmount($amount=0,$address='',$user_id=0,$earing_id=0){
        
        $smart_track = new AmountDistributionHistory();
        $smart_track->user_id = $user_id;
        $smart_track->amount = $amount;
        $smart_track->created_at = gmdate('Y-m-d H:i:s');
        $smart_track->earing_id  = $earing_id;
        $smart_track->type = 'registration';
        $smart_track->save();
        
            $url = 'http://localhost:4000/api/transferERC20';

            // Data to be sent in the POST request (in this example, JSON data)
            $data = array(
                'toAddress'=>$address,
                'amount'=>$amount."000000000000000000"
            );
        $smart_track->smart_contract_input = json_encode($data);
        $smart_track->save();
            $data_string = json_encode($data);
            
            // Initialize cURL session
            $ch = curl_init($url);
            
            // Set cURL options
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
             curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                'Content-Type: application/x-www-form-urlencoded',
                'Authorization:Basic YWRtaW46cGFzc3dvcmQ=')
            );
            // Execute the POST request
            $result = curl_exec($ch);
            
            // Check for errors
            if(curl_errno($ch)) {
               // echo 'Error: ' . curl_error($ch);
            }
            
            // Close cURL session
            curl_close($ch);
            
            // Print the response
            $resp=json_decode($result);
            $smart_track->transaction_hash = $resp->tx->hash;
            $smart_track->smart_contract_output = json_encode($resp);
            $smart_track->save();
            //printr($resp);
    }
}
