<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Models\Orders;
use App\Models\SettingsModel;
use App\Models\AmountDistributionHistory;
class LoteryDistribution extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:lotery-distribution {order_id}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        //
        $order_id = $this->argument("order_id");
        $order    = Orders::with([
            'user',
            'user.refered_by_user',
            'user.refered_by_user.refered_by_user',
            'user.refered_by_user.refered_by_user.refered_by_user',
            'user.refered_by_user.refered_by_user.refered_by_user.refered_by_user',
            'user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user',
            'user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user',
            'user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user',
            'user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user',
            'user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user.refered_by_user'
            ])->where(['id'=>$order_id])->get()->first();
            
        if($order){
            if($order->is_commission_processed == 1){
                echo "Already Processed"; exit;
            }
            $settings = SettingsModel::first();
            //first level commission
            if($order->user->refered_by_user){
                
                if($order->user->refered_by_user->wallet_address != ''){
                    $percentage = $settings->lotery_distribution_level_1??0;
                    $commission = ( $order->price * $percentage ) / 100;
                    $this->transferAmount($commission,$order->user->refered_by_user->wallet_address,$order->user->refered_by_user->id,$order->id);
                }
                //second level commission
                if($order->user->refered_by_user->refered_by_user){
                    if($order->user->refered_by_user->refered_by_user->wallet_address != ''){
                        $percentage = $settings->lotery_distribution_level_2??0;
                        $commission = ( $order->price * $percentage ) / 100;
                        $this->transferAmount($commission,$order->user->refered_by_user->refered_by_user->wallet_address,$order->user->refered_by_user->refered_by_user->id,$order->id);
                    }
                    //third level commission
                    if($order->user->refered_by_user->refered_by_user->refered_by_user){
                        if($order->user->refered_by_user->refered_by_user->refered_by_user->wallet_address != ''){
                            $percentage = $settings->lotery_distribution_level_3??0;
                            $commission = ( $order->price * $percentage ) / 100;
                            $this->transferAmount($commission,$order->user->refered_by_user->refered_by_user->refered_by_user->wallet_address,$order->user->refered_by_user->refered_by_user->refered_by_user->id,$order->id);
                        }
                        //fourth level commission
                        if($order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user){
                            if($order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->wallet_address != ''){
                                $percentage = $settings->lotery_distribution_level_4??0;
                                $commission = ( $order->price * $percentage ) / 100;
                                $this->transferAmount($commission,$order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->wallet_address,$order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->id,$order->id);
                            }
                            //fifth level commission
                            if($order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user){
                                if($order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->wallet_address != ''){
                                    $percentage = $settings->lotery_distribution_level_5??0;
                                    $commission = ( $order->price * $percentage ) / 100;
                                    $this->transferAmount($commission,$order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->wallet_address,$order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->id,$order->id);
                                }
                                //sixth level commission
                                if($order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user){
                                    if($order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->wallet_address != ''){
                                        $percentage = $settings->lotery_distribution_level_6??0;
                                        $commission = ( $order->price * $percentage ) / 100;
                                        $this->transferAmount($commission,$order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->wallet_address,$order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->id,$order->id);
                                    }
                                    //seventh level commission
                                    if($order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user){
                                        if($order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->wallet_address != ''){
                                            $percentage = $settings->lotery_distribution_level_7??0;
                                            $commission = ( $order->price * $percentage ) / 100;
                                            $this->transferAmount($commission,$order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->wallet_address,$order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->id,$order->id);
                                        }
                                        //eight level commission
                                        if($order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user){
                                            if($order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->wallet_address != ''){
                                                $percentage = $settings->lotery_distribution_level_8??0;
                                                $commission = ( $order->price * $percentage ) / 100;
                                                $this->transferAmount($commission,$order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->wallet_address,$order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->id,$order->id);
                                            }
                                            //nineth level commission
                                            if($order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user){
                                                if($order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->wallet_address != ''){
                                                    $percentage = $settings->lotery_distribution_level_9??0;
                                                    $commission = ( $order->price * $percentage ) / 100;
                                                    $this->transferAmount($commission,$order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->wallet_address,$order->user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->refered_by_user->id,$order->id);
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            
            $order_item = Orders::find($order_id);
            $order_item->is_commission_processed = 1;
            $order_item->save();
        }
    }
    public function transferAmount($amount=0,$address='',$user_id=0,$earing_id=0){
        
        $smart_track = new AmountDistributionHistory();
        $smart_track->user_id = $user_id;
        $smart_track->amount = $amount;
        $smart_track->created_at = gmdate('Y-m-d H:i:s');
        $smart_track->earing_id  = $earing_id;
        $smart_track->type = 'lotery';
        $smart_track->save();
        
            $url = 'http://localhost:4000/api/transferERC20';

            // Data to be sent in the POST request (in this example, JSON data)
            $data = array(
                'toAddress'=>$address,
                'amount'=>$amount
            );
        $smart_track->smart_contract_input = json_encode($data);
        $smart_track->save();
            $data_string = json_encode($data);
            
            // Initialize cURL session
            $ch = curl_init($url);
            
            // Set cURL options
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
             curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                'Content-Type: application/x-www-form-urlencoded',
                'Authorization:Basic YWRtaW46cGFzc3dvcmQ=')
            );
            // Execute the POST request
            $result = curl_exec($ch);
            
            // Check for errors
            if(curl_errno($ch)) {
               // echo 'Error: ' . curl_error($ch);
            }
            
            // Close cURL session
            curl_close($ch);
            
            // Print the response
            $resp=json_decode($result);
            $smart_track->transaction_hash = $resp->tx->hash;
            $smart_track->smart_contract_output = json_encode($resp);
            $smart_track->save();
            //printr($resp);
    }
}
