<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Models\SettingsModel;

class MultiListnerInitialize extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:multi-listner-initialize';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        //
        $data = SettingsModel::first();
        if($data){
            
            $payload = [];
            if($data->registration_to_address != '' && $data->registration_listner_address != ''){
                $payload[]=[
                    'toAddress' => $data->registration_to_address,
                    'listnerAddress' => $data->registration_listner_address,
                    'network' => $data->registration_network??'matic',
                    'addressType'=>$data->registration_address_type??'erc20',
                    'tokenDecimals'=>$data->registration_token_decimal??'1e18'
                ];
            }
            
            if($data->daily_to_address != '' && $data->daily_listner_address != ''){
                $payload[]=[
                    'toAddress' => $data->daily_to_address,
                    'listnerAddress' => $data->daily_listner_address,
                    'network' => $data->daily_network??'matic',
                    'addressType'=>$data->daily_address_type??'erc20',
                    'tokenDecimals'=>$data->daily_token_decimal??'1e18'
                ];
            }
            
            if($data->monthly_to_address != '' && $data->monthly_listner_address != ''){
                $payload[]=[
                    'toAddress' => $data->monthly_to_address,
                    'listnerAddress' => $data->monthly_listner_address,
                    'network' => $data->monthly_network??'matic',
                    'addressType'=>$data->monthly_address_type??'erc20',
                    'tokenDecimals'=>$data->monthly_token_decimal??'1e18'
                ];
            }
            
            $input = [
                'addressToListen' => $payload
            ];
            
            // The file path
            $file_path = '/home/dxbitprojects/nodejsapp/listner_json/multiListner.json';
            
            // The content to write to the file
            $content = json_encode($input);
            
            // Using fopen() function to open the file in 'w' mode.
            // 'w' mode will create the file if it doesn't exist, or truncate the file if it exists.
            $file = fopen($file_path, 'w');
            
            // Check if the file opened successfully
            if ($file) {
                // Write the content to the file
                fwrite($file, $content);
                
                // Close the file
                fclose($file);
                
                echo "File written successfully.";
            } else {
                echo "Error opening the file.";
            }
        }
    }
}
