<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Models\Orders;

class OrderSuccessMail extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:order-success-mail {order_id}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        //
        $order_id = $this->argument("order_id");
        $order = Orders::with(['user'])->where(['id'=>$order_id])->get()->first();
        if($order){
            $template = view('email.order_success',compact('order'))->render();
            $ret = send_email($order->user->email,"Order Success",$template);
            printr($ret);
        }
    }
}
