<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Models\Orders;
use App\Models\SettingsModel;
use App\Models\WinnerPriceDistributions;

class WinnerPriceDistribution extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:winner-price-distribution {id}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        $id=$this->argument("id");
        $order=Orders::find($id);
        $this->transferAmount($order);
        //
    }
    
    public function transferAmount($order){
        $amount=$order->winner_price;
        $address = $order->user->wallet_address;
        
        $check= WinnerPriceDistributions::where(['order_id'=>$order->id])->get();
        if($check->count() > 0){
            $check=$check->first();
            if($check->distribution_status != 0){
                echo "already proccessed"; exit;
            }
            $smart_track = WinnerPriceDistributions::find($check->id);
        }else{
            $smart_track = new WinnerPriceDistributions();
            $smart_track->user_id = $order->user_id;
            $smart_track->order_id = $order->id;
        }
        $smart_track->price_paid = $amount;
        $smart_track->created_at = gmdate('Y-m-d H:i:s');
        $smart_track->updated_at = gmdate('Y-m-d H:i:s');
        $smart_track->save();
        
            $url = 'http://localhost:4000/api/transferERC20';

            // Data to be sent in the POST request (in this example, JSON data)
            $data = array(
                'toAddress'=>$address,
                'amount'=>$amount."000000000000000000"
            );
        $smart_track->contract_input = json_encode($data);
        $smart_track->updated_at = gmdate('Y-m-d H:i:s');
        $smart_track->save();
            $data_string = json_encode($data);
            
            // Initialize cURL session
            $ch = curl_init($url);
            
            // Set cURL options
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
             curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                'Content-Type: application/x-www-form-urlencoded',
                'Authorization:Basic YWRtaW46cGFzc3dvcmQ=')
            );
            // Execute the POST request
            $result = curl_exec($ch);
            
            // Check for errors
            if(curl_errno($ch)) {
               // echo 'Error: ' . curl_error($ch);
            }
            
            // Close cURL session
            curl_close($ch);
            
            // Print the response
            $resp=json_decode($result);
            $smart_track->transaction_hash = $resp->tx->hash;
            $smart_track->contract_response = json_encode($resp);
            $smart_track->distribution_status = 1;
            $smart_track->mining_statuc_check_counter = 0;
            $smart_track->remark ='Transaction initirated';
            $smart_track->save();
            //printr($resp);
    }
}
