<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\CountryModel;
use App\Models\SettingsModel;
use App\Models\Product;
use App\Models\User;
use App\Models\Article;
use App\Models\FaqModel;
use Validator,DB;

class HomeController extends Controller
{
    //
    public function index(){
        $page_heading = "Home";
        $settings = SettingsModel::first();
        $daily_ticket = Product::where(['product_type'=>'daily'])->orderBy('id','desc')->get()->first();
        $monthly_ticket = Product::where(['product_type'=>'monthly'])->orderBy('id','desc')->get()->first();
        return view('frond.home',compact('page_heading','settings','daily_ticket','monthly_ticket'));
    }
    public function terms_and_condtions(){
        $page_heading = "Terms and Conditions";
        $page_data= Article::where(['id'=>1])->get()->first();
        
        return view('frond.page',compact('page_heading','page_data'));
    }
    public function privacy_policy(){
        $page_heading = "Privacy Policy";
        $page_data= Article::where(['id'=>1])->get()->first();
        
        return view('frond.page',compact('page_heading','page_data'));
    }
    public function faq(){
        $page_heading = "Faq";
        $list= FaqModel::where(['active'=>1])->get();
        
        return view('frond.faq',compact('page_heading','list'));
    }
    public function register(){
        $page_heading = "Register";
        $ref_code = $_GET['ref']??'';
        $country_list = CountryModel::where(['active'=>1])->get();
        return view('frond.register',compact('page_heading','country_list','ref_code'));
    }
    public function signup(REQUEST $request){
        $status = "0";
        $message = "";
        $o_data = [];
        $errors = [];
        $redirectUrl = '';

        $validator = Validator::make($request->all(), [
            'first_name' => 'required',
            'last_name' => 'required',
            'dial_code' => 'required',
            'phone'     =>'required',
            'email'     =>'required|email|unique:users,email'
        ]);
        if (!empty($request->password)) {
            $validator = Validator::make($request->all(), [
                'confirm_password' => 'required',
            ]);
        }
        if ($validator->fails()) {
            $status = "0";
            $message = "Validation error occured";
            $errors = $validator->messages();
        } else {
            $email_check = User::where(['email'=>strtolower($request->email)])->get()->count();
            if($email_check > 0){
                $status = "0";
                $message= "Email already registred";
                $errors['email'] = $message;
                echo json_encode(['status' => $status, 'message' => $message, 'errors' => $errors]);
                exit;
            }
            $wallet_check = User::where(['wallet_address'=>strtolower($request->wallet_address)])->get()->count();
            if($wallet_check > 0){
                $status = "0";
                $message= "Wallet address already registred";
                $errors['wallet_address'] = $message;
                echo json_encode(['status' => $status, 'message' => $message, 'errors' => $errors]);
                exit;
            }
            $phone_check = User::where(['dial_code'=>$request->dial_code,'phone'=>$request->phone])->get()->count();
            if($phone_check > 0){
                $status = "0";
                $message= "Mobilenumber already registred";
                $errors['phone'] = $message;
                echo json_encode(['status' => $status, 'message' => $message, 'errors' => $errors]);
                exit;
            }
            $refered_by =0 ;
            if($request->ref_code != ''){
                $refered_user = User::where(['user_code'=>$request->ref_code])->get()->first();
                if($refered_user){
                    $refered_by = $refered_user->id;
                }else{
                    $status = "0";
                    $message= "Invalid Referral Code";
                    $errors['ref_code'] = $message;
                    echo json_encode(['status' => $status, 'message' => $message, 'errors' => $errors]);
                    exit;
                }
            }
            $user = new User();
            $user->first_name = $request->first_name;
            $user->last_name = $request->last_name;
            $user->email     = strtolower($request->email);
            $user->dial_code = $request->dial_code;
            $user->phone     = $request->phone;
            $user->password  = bcrypt($request->password);
            $user->role      = 3;
            $user->name      = $user->first_name." ".$user->last_name;
            $user->active    = 1;
            $user->refferal_code = $request->ref_code;
            $user->user_code = getUniqueRandomString();
            $user->refered_by = $refered_by;
            $user->wallet_address = ($request->wallet_address != '')?strtolower($request->wallet_address):'';
            $user->created_at = gmdate('Y-m-d H:i:s');
            $user->updated_at = gmdate('Y-m-d H:i:s');
            $user->save();

            if($user->id){
                $message = "You have successfully registred. Please Login to continue.";
                Auth::login($user);  // Log in the user

                // Debugging: Log the session ID after login
                // error_log("Session ID after login: " . session()->getId());
                // error_log("Auth user after login: " . Auth::user());
                $status = "1";
                
                exec("php ".base_path()."/artisan app:registration-success-mail ".$user->id." > /dev/null 2>&1 & ");
                
                
                
                $redirectUrl = route('customer.dashbaord');
                
            }else{
                $message = "Faild to register. Please try again after sometimes";
            }
        }
        echo json_encode(['status' => $status, 'message' => $message, 'errors' => $errors,'redirectUrl'=>$redirectUrl]);
    }
    public function login(Request $request)
    {
        $request->validate([
            'login_email' => ['required', 'email'],
            'login_pass' => 'required',
        ]);

        // Validate request
        if (Auth::attempt(['email' => $request->login_email, 'password' => $request->login_pass])) {
            if (Auth::check() && (Auth::user()->role == '3')) {
                $request->session()->put('user_id', Auth::user()->id);
                if ($request->timezone) {
                    $request->session()->put('user_timezone', $request->timezone);
                }
                
                

                return response()->json(['status' => 1, 'message' => "Logged in successfully.","oData"=>['redirect'=>route('customer.dashbaord')]]);
            } else {
                return response()->json(['status' => 0, 'message' => "Invalid Credentials!"]);
            }

        }

        return response()->json(['status' => 0, 'message' => "Invalid Credentials!"]);
    }
}
