<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\TransactionTrack;
use App\Models\SettingsModel;
use App\Models\User;
use App\Models\MemberShipHistory;
use App\Models\Product;
use App\Models\Orders;

class PaymentController extends Controller
{
    //
    public function response_hook(){
        date_default_timezone_set("Asia/Dubai");
        $file_path = 'payment_response.txt';
            
            $json = file_get_contents('php://input');
            $action = $json;
            //printr($action);
            file_put_contents('payment_response.txt', $action."\r ",FILE_APPEND);
            
       $data = json_decode($json);
       
       $settings = SettingsModel::first();
       
       $transaction_track = new TransactionTrack();
       $transaction_track->full_input = $json;
       $transaction_track->created_at = gmdate('Y-m-d H:i:s');
       $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
       $transaction_track->save();
       try{
            if(isset($data->eventType) && $data->eventType == 'ERC20Transfer'){
               $toAddress = $data->toAddress;
               $fromAddress = $data->fromAddress;
               $amount    = $data->amount;
               $transactionHash = $data->transactionHash;
               
               //check transaction already noted
               $check = TransactionTrack::where(['transaction_hash'=>$transactionHash])->get();
               if($check->count() > 0){
                   $transaction_track->event_type = $data->eventType;
                   $transaction_track->remark = "Transaction hash already processed";
                   $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                   $transaction_track->save();
                   exit;
               }
               $transaction_track->event_type = $data->eventType;
               $transaction_track->amount = $amount;
               $transaction_track->transaction_hash = $transactionHash;
               $transaction_track->to_address = $toAddress;
               $transaction_track->from_address = $fromAddress;
               $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
               $transaction_track->save();
               
               
               //find transaction type
               if( $settings->registration_to_address == $toAddress ){
                   $transaction_type = 'registration';
               }else if( $settings->daily_to_address == $toAddress ){
                   $transaction_type = 'daily_lotery';
               }else if( $settings->monthly_to_address == $toAddress ){
                   $transaction_type = 'monthly_lotery';
               }else{
                   $transaction_track->remark = "Matching To Address Not Found";
                   $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                   $transaction_track->save();
                   exit;
               }
               
               $transaction_track->transaction_type = $transaction_type;
               $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
               $transaction_track->save();
               
               //find sender
               $user = User::where(['deleted'=>0])->whereRaw("Lower(wallet_address) = '".strtolower($fromAddress)."'")->get()->first();
               if(!$user){
                   $transaction_track->remark = "User Not Found";
                   $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                   $transaction_track->save();
                   exit;
               }
               
               $transaction_track->user_id = $user->id;
               $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
               $transaction_track->save();
               
               if($transaction_type == 'registration'){
                   if($amount < $settings->platform_fee){
                       $transaction_track->remark = "Not Enough Amount Passed For Membership";
                       $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                       $transaction_track->save();
                       exit;
                   }else{
                       $balance_amount = 0;
                       if($amount > $settings->platform_fee){
                           $balance_amount = $amount - $settings->platform_fee;
                       }
                       
                       $transaction_track->remark = "Membership Purchased";
                       $transaction_track->balance_amount = $balance_amount;
                       $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                       $transaction_track->save();
                       
                       $user = User::find($user->id);
                       $user->is_membership_paid = 1;
                       $user->updated_at = gmdate('Y-m-d H:i:s');
                       $user->save();
                       
                       //membership history add
                       $history = new MemberShipHistory();
                       $history->user_id = $user->id;
                       $history->paid_amount = $settings->platform_fee;
                       $history->status = 0;
                       $history->created_at = gmdate('Y-m-d H:i:s');
                       $history->updated_at = gmdate('Y-m-d H:i:s');
                       $history->save();
                       exec("php ".base_path()."/artisan app:allote-referal-eranings ".$user->id." > /dev/null 2>&1 & ");
                   }
                   $transaction_track->is_process_completed	 = 1;
                   $transaction_track->remark = "Membership Purchase Completed";
                   $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                   $transaction_track->save();
               }else if($transaction_type == 'daily_lotery'){
                   if($user->is_membership_paid==0){
                       $transaction_track->remark = "You dont have an active membership please purchase first";
                       $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                       $transaction_track->save();
                       exit;
                   }else{
                       $product = Product::where(['product_type'=>'daily'])->orderBy('id','desc')->get()->first();
                       if(!$product){
                           $transaction_track->remark = "No Daily Lotery found";
                           $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                           $transaction_track->save();
                           exit;
                       }else{
                           if( $amount < $product->price){
                               $transaction_track->remark = "Not Enough Amount Passed For Purchase Daily Lotery";
                               $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                               $transaction_track->save();
                               exit; 
                           }else{
                               $balance_amount = 0;
                               if($amount > $product->price){
                                   $balance_amount = $amount - $product->price;
                               }
                                
                                if(time() < strtotime(date('Y-m-d')." ".$product->drow_time??'12:00:00')){
                                    $drow_date = date('Y-m-d');
                                }else{
                                    $drow_date = date("Y-m-d", strtotime('tomorrow'));
                                }
                               $order  = new Orders();
                               $order->user_id = $user->id;
                               $order->ticket_number = config('global.ticket_prefix')."-".time();
                               $order->product_id = $product->id;
                               $order->price = $product->price;
                               $order->drow_date = $drow_date;
                               $order->product_type	='daily';
                               $order->created_at = gmdate('Y-m-d H:i:s');
                               $order->updated_at = gmdate('Y-m-d H:i:s');
                               $order->save();
                               
                               exec("php ".base_path()."/artisan app:lotery-distribution ".$order->id." > /dev/null 2>&1 & ");
                               exec("php ".base_path()."/artisan app:order-success-mail ".$order->id." > /dev/null 2>&1 & ");
                               
                               $transaction_track->remark = "Daily Lotery Purchased";
                               $transaction_track->is_process_completed	 = 1;
                               $transaction_track->balance_amount = $balance_amount;
                               $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                               $transaction_track->save();
                           }
                       }
                   }
               }else if($transaction_type == 'monthly_lotery'){
                   if($user->is_membership_paid==0){
                       $transaction_track->remark = "You dont have an active membership please purchase first";
                       $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                       $transaction_track->save();
                       exit;
                   }else{
                       $product = Product::where(['product_type'=>'monthly'])->orderBy('id','desc')->get()->first();
                       if(!$product){
                           $transaction_track->remark = "No Monthly Lotery found";
                           $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                           $transaction_track->save();
                           exit;
                       }else{
                           if( $amount < $product->price){
                               $transaction_track->remark = "Not Enough Amount Passed For Purchase Monthly Lotery";
                               $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                               $transaction_track->save();
                               exit; 
                           }else{
                               $balance_amount = 0;
                               if($amount > $product->price){
                                   $balance_amount = $amount - $product->price;
                               }
                               
                               if($product->drow_date < date('d')){
                                   $drow_date = date('Y')."-".(date('m'))."-".$product->drow_date;
                               }else{
                                   if($product->drow_date == date('d')){
                                        if(time() < strtotime(date('Y-m-d')." ".$product->drow_time??'12:00:00')){
                                            $drow_date = date('Y')."-".(date('m'))."-".$product->drow_date;
                                        }else{
                                            $drow_date = date('Y')."-".(date('m')+1)."-".$product->drow_date;
                                        }
                                    }else{
                                        $drow_date = date('Y')."-".(date('m'))."-".$product->drow_date;
                                    }
                               }
                               
                            //   if($product->drow_date > date('d')){
                            //         $drow_date = date('Y')."-".(date('m')+1)."-".$product->drow_date;
                            //     }else{
                            //         if($product->drow_date == date('d')){
                            //             if(time() < strtotime(date('Y-m-d')." ".$product->drow_time??'12:00:00')){
                            //                 $drow_date = date('Y')."-".(date('m'))."-".$product->drow_date;
                            //             }else{
                            //                 $drow_date = date('Y')."-".(date('m')+1)."-".$product->drow_date;
                            //             }
                            //         }else{
                            //             $drow_date = date('Y')."-".(date('m'))."-".$product->drow_date;
                            //         }
                            //     }
                                
                                
                               $order  = new Orders();
                               $order->user_id = $user->id;
                               $order->ticket_number = config('global.ticket_prefix')."-".time();
                               $order->product_id = $product->id;
                               $order->price = $product->price;
                               $order->drow_date = $drow_date;
                               $order->product_type	='monthly';
                               $order->created_at = gmdate('Y-m-d H:i:s');
                               $order->updated_at = gmdate('Y-m-d H:i:s');
                               $order->save();
                               
                               exec("php ".base_path()."/artisan app:lotery-distribution ".$order->id." > /dev/null 2>&1 & ");
                               exec("php ".base_path()."/artisan app:order-success-mail ".$order->id." > /dev/null 2>&1 & ");
                               
                               $transaction_track->remark = "Monthly Lotery Purchased";
                               $transaction_track->is_process_completed	 = 1;
                               $transaction_track->balance_amount = $balance_amount;
                               $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
                               $transaction_track->save();
                           }
                       }
                   }
               }
               
               
               
           }
        } catch (\Exception $e) {
            $transaction_track->remark = $e->getMessage();
            $transaction_track->updated_at = gmdate('Y-m-d H:i:s');
            $transaction_track->save();
            
        }
    }
}
