<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Orders;
use Validator,DB;
use Illuminate\Support\Facades\Auth;

class ReportController extends Controller
{
    //
    public function report_daily_tickets(REQUEST $request){
        $page_heading = "Daily Ticket Purchases";
        $list=Orders::where(['product_type'=>'daily'])->OrderBy('id','desc');
        if($request->search_key){
            $list= $list->where(['ticket_number'=>$request->search_key]);
        }
        if($request->drow_date){
            $list= $list->whereDate('drow_date',date('Y-m-d',strtotime($request->drow_date)));
        }
        $list=$list->paginate(20);
        return view('admin.report.daily_list',compact('page_heading','list'));
    }
    
    public function report_daily_ticket_winners(REQUEST $request){
        $page_heading = "Daily Ticket Purchases";
        $list=Orders::where(['product_type'=>'daily','is_winner'=>1])->OrderBy('id','desc');
        if($request->search_key){
            $list= $list->where(['ticket_number'=>$request->search_key]);
        }
        if($request->drow_date){
            $list= $list->whereDate('drow_date',date('Y-m-d',strtotime($request->drow_date)));
        }
        $list=$list->paginate(20);
        return view('admin.report.daily_winner_list',compact('page_heading','list'));
    }
    public function report_monthly_tickets(REQUEST $request){
        $page_heading = "Monthly Ticket Purchases";
        $list=Orders::where(['product_type'=>'monthly'])->OrderBy('id','desc');
        if($request->search_key){
            $list= $list->where(['ticket_number'=>$request->search_key]);
        }
        if($request->drow_date){
            $list= $list->whereDate('drow_date',date('Y-m-d',strtotime($request->drow_date)));
        }
        $list=$list->paginate(20);
        return view('admin.report.monthly_list',compact('page_heading','list'));
    }
    public function report_monthly_ticket_winners(REQUEST $request){
        $page_heading = "Monthly Ticket Purchases";
        $list=Orders::where(['product_type'=>'monthly','is_winner'=>1])->OrderBy('id','desc');
        if($request->search_key){
            $list= $list->where(['ticket_number'=>$request->search_key]);
        }
        if($request->drow_date){
            $list= $list->whereDate('drow_date',date('Y-m-d',strtotime($request->drow_date)));
        }
        $list=$list->paginate(20);
        return view('admin.report.monthly_winner_list',compact('page_heading','list'));
    }
    public function report_customers(REQUEST $request){
        $page_heading = "Customers";
        $list = User::where('role',3)->orderBy('id','desc');
        if($request->status){
            $list = $list->where('active',$request->status);
        }
        if($request->from_date){
            $list = $list->whereDate('created_at','>=',date('Y-m-d',strtotime($request->from_date)));
        }
        if($request->to_date){
            $list = $list->whereDate('created_at','<=',date('Y-m-d',strtotime($request->to_date)));
        }
        if($request->search_key){
            $list = $list->whereRaw("name ilike '%".strtolower($request->search_key)."%'");
        }
        if($request->wallet_address){
            $list = $list->whereRaw("wallet_address ilike '%".strtolower($request->wallet_address)."%'");
        }
        $list = $list->paginate(20);
        return view('admin.report.customer_list',compact('page_heading','list'));
    }
}
