<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\TransactionTrack;
use App\Models\AmountDistributionHistory;
use App\Models\User;
use App\Models\MemberShipHistory;
use App\Models\SettingsModel;
use App\Models\Product;
use App\Models\Orders;
use App\Models\WinnerPriceDistributions;

class TransactionController extends Controller
{
    //
    public function index(REQUEST $request){
        $page_heading = "Transactions List";
        $list=TransactionTrack::with(['user'])->orderBy('id','desc');
        if($request->transaction_hash){
            $list= $list->where(['transaction_hash'=>$request->transaction_hash]);
        }
        if($request->transaction_type){
            $list= $list->where(['transaction_type'=>$request->transaction_type]);
        }
        if($request->from_address){
            $list= $list->where(['from_address'=>$request->from_address]);
        }
        $list=$list->paginate(10);
        return view('admin.transactions.list',compact('page_heading','list'));
    }
    
    public function amount_distribution(REQUEST $request){
        $page_heading = "Commission Distribution History";
        $list=AmountDistributionHistory::with(['user'])->orderBy('id','desc');
        if($request->transaction_hash){
            $list= $list->where(['transaction_hash'=>$request->transaction_hash]);
        }
        if($request->transaction_type){
            $list= $list->where(['type'=>$request->transaction_type]);
        }
        
        $list=$list->paginate(10);
        return view('admin.transactions.commission_distribution_list',compact('page_heading','list'));
    }
    
    
    public function reintiate_commission(REQUEST $request, $id)
    {
        $status = "0";
        $message = "";

        

        $category_data = AmountDistributionHistory::with(['user'])->where(['id' => $id])->first();

        if ($category_data) {
            AmountDistributionHistory::where(['id' => $id])->update(['mining_statuc_check_counter'=>0]);
            $this->transferAmount($category_data->amount,$category_data->user->wallet_address,$id);
            $message = "Transaction Renitiated Successfully. Please Wait now";
            $status = "1";
        } else {
            $message = "Invalid  data";
        }

        echo json_encode([
            'status' => $status, 'message' => $message
        ]);
    }
    public function winner_distribution(REQUEST $request){
        $page_heading = "Winner Price Distribution History";
        $list=WinnerPriceDistributions::with(['order','user'])->orderBy('id','desc');
        if($request->transaction_hash){
            $list= $list->where(['transaction_hash'=>$request->transaction_hash]);
        }
        
        $list=$list->paginate(10);
        return view('admin.transactions.winner_distribution_list',compact('page_heading','list'));
    }
    public function reintiate_winner_price(REQUEST $request, $id)
    {
        $status = "0";
        $message = "";

        

        $category_data = WinnerPriceDistributions::with(['user'])->where(['id' => $id])->first();

        if ($category_data) {
            WinnerPriceDistributions::where(['id' => $id])->update(['mining_statuc_check_counter'=>0]);
            $this->transferAmountWinner($category_data->price_paid,$category_data->user->wallet_address,$id);
            $message = "Transaction Renitiated Successfully. Please Wait now";
            $status = "1";
        } else {
            $message = "Invalid  data";
        }

        echo json_encode([
            'status' => $status, 'message' => $message
        ]);
    }
    public function allote_membership(REQUEST $request, $id)
    {
        $status = "0";
        $message = "";

        
        $settings = SettingsModel::first();
        $category_data = TransactionTrack::with(['user'])->where(['id' => $id])->first();

        if ($category_data) {
            TransactionTrack::where(['id' => $id])->update(['is_process_completed'=>1,'remark'=>'Membership Alloted Manualy By Admin']);
            
            $user = User::find($category_data->user->id);
           $user->is_membership_paid = 1;
           $user->updated_at = gmdate('Y-m-d H:i:s');
           $user->save();
           
           //membership history add
           $history = new MemberShipHistory();
           $history->user_id = $user->id;
           $history->paid_amount = $settings->platform_fee;
           $history->status = 0;
           $history->created_at = gmdate('Y-m-d H:i:s');
           $history->updated_at = gmdate('Y-m-d H:i:s');
           $history->save();
           exec("php ".base_path()."/artisan app:allote-referal-eranings ".$user->id." > /dev/null 2>&1 & ");
            $message = "Membership alloted Successfully";
            $status = "1";
        } else {
            $message = "Invalid  data";
        }

        echo json_encode([
            'status' => $status, 'message' => $message
        ]);
    }
    
    public function allote_monthly_lotery(REQUEST $request, $id)
    {
        $status = "0";
        $message = "";

        
        $settings = SettingsModel::first();
        $category_data = TransactionTrack::with(['user'])->where(['id' => $id])->first();

        if ($category_data) {
            
            
            if($category_data->user->is_membership_paid==0){
               $message= "You dont have an active membership please purchase first";
               
           }else{
               $product = Product::where(['product_type'=>'monthly'])->orderBy('id','desc')->get()->first();
               if(!$product){
                   $message = "No Monthly Lotery found";
                   
               }else{
                   
                       
                       
                       if($product->drow_date < date('d')){
                           $drow_date = date('Y')."-".(date('m'))."-".$product->drow_date;
                       }else{
                           if($product->drow_date == date('d')){
                                if(time() < strtotime(date('Y-m-d')." ".$product->drow_time??'12:00:00')){
                                    $drow_date = date('Y')."-".(date('m'))."-".$product->drow_date;
                                }else{
                                    $drow_date = date('Y')."-".(date('m')+1)."-".$product->drow_date;
                                }
                            }else{
                                $drow_date = date('Y')."-".(date('m'))."-".$product->drow_date;
                            }
                       }
                        
                        
                       $order  = new Orders();
                       $order->user_id = $category_data->user->id;
                       $order->ticket_number = config('global.ticket_prefix')."-".time();
                       $order->product_id = $product->id;
                       $order->price = $product->price;
                       $order->drow_date = $drow_date;
                       $order->product_type	='monthly';
                       $order->created_at = gmdate('Y-m-d H:i:s');
                       $order->updated_at = gmdate('Y-m-d H:i:s');
                       $order->save();
                       
                       exec("php ".base_path()."/artisan app:lotery-distribution ".$order->id." > /dev/null 2>&1 & ");
                       exec("php ".base_path()."/artisan app:order-success-mail ".$order->id." > /dev/null 2>&1 & ");
                       TransactionTrack::where(['id' => $id])->update(['is_process_completed'=>1,'remark'=>'Monthly Lotery Alloted Manualy By Admin']);
                       
                   
                   $message = "Monthly Lotery alloted Successfully";
                    $status = "1";
               }
               
           }
            
        } else {
            $message = "Invalid  data";
        }

        echo json_encode([
            'status' => $status, 'message' => $message
        ]);
    }
    
    public function allote_daily_lotery(REQUEST $request, $id)
    {
        $status = "0";
        $message = "";

        
        $settings = SettingsModel::first();
        $category_data = TransactionTrack::with(['user'])->where(['id' => $id])->first();

        if ($category_data) {
            
            
            if($category_data->user->is_membership_paid==0){
               $message= "You dont have an active membership please purchase first";
               
           }else{
               $product = Product::where(['product_type'=>'daily'])->orderBy('id','desc')->get()->first();
               if(!$product){
                   $message = "No Daily Lotery found";
                   
               }else{
                   
                       
                       
                       if(time() < strtotime(date('Y-m-d')." ".$product->drow_time??'12:00:00')){
                            $drow_date = date('Y-m-d');
                        }else{
                            $drow_date = date("Y-m-d", strtotime('tomorrow'));
                        }
                        
                        
                       $order  = new Orders();
                       $order->user_id = $category_data->user->id;
                       $order->ticket_number = config('global.ticket_prefix')."-".time();
                       $order->product_id = $product->id;
                       $order->price = $product->price;
                       $order->drow_date = $drow_date;
                       $order->product_type	='daily';
                       $order->created_at = gmdate('Y-m-d H:i:s');
                       $order->updated_at = gmdate('Y-m-d H:i:s');
                       $order->save();
                       
                       exec("php ".base_path()."/artisan app:lotery-distribution ".$order->id." > /dev/null 2>&1 & ");
                       exec("php ".base_path()."/artisan app:order-success-mail ".$order->id." > /dev/null 2>&1 & ");
                       TransactionTrack::where(['id' => $id])->update(['is_process_completed'=>1,'remark'=>'Daily Lotery Alloted Manualy By Admin']);
                       
                   
                   $message = "Daily Lotery alloted Successfully";
                    $status = "1";
               }
               
           }
            
        } else {
            $message = "Invalid  data";
        }

        echo json_encode([
            'status' => $status, 'message' => $message
        ]);
    }
    public function transferAmount($amount=0,$address='',$trid=0){
        
        $smart_track = AmountDistributionHistory::find($trid);
        $smart_track->updated_at = gmdate('Y-m-d H:i:s');
        $smart_track->save();
        
            $url = 'http://localhost:4000/api/transferERC20';

            // Data to be sent in the POST request (in this example, JSON data)
            $data = array(
                'toAddress'=>$address,
                'amount'=>$amount."000000000000000000"
            );
        $smart_track->smart_contract_input = json_encode($data);
        $smart_track->save();
            $data_string = json_encode($data);
            
            // Initialize cURL session
            $ch = curl_init($url);
            
            // Set cURL options
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
             curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                'Content-Type: application/x-www-form-urlencoded',
                'Authorization:Basic YWRtaW46cGFzc3dvcmQ=')
            );
            // Execute the POST request
            $result = curl_exec($ch);
            
            // Check for errors
            if(curl_errno($ch)) {
               // echo 'Error: ' . curl_error($ch);
            }
            
            // Close cURL session
            curl_close($ch);
            
            // Print the response
            $resp=json_decode($result);
            $smart_track->transaction_hash = $resp->tx->hash;
            $smart_track->smart_contract_output = json_encode($resp);
            $smart_track->save();
            //printr($resp);
    }
    public function transferAmountWinner($amount=0,$address='',$trid=0){
        
        $smart_track = WinnerPriceDistributions::find($trid);
        $smart_track->updated_at = gmdate('Y-m-d H:i:s');
        $smart_track->save();
        
            $url = 'http://localhost:4000/api/transferERC20';

            // Data to be sent in the POST request (in this example, JSON data)
            $data = array(
                'toAddress'=>$address,
                'amount'=>$amount."000000000000000000"
            );
        $smart_track->contract_input = json_encode($data);
        $smart_track->save();
            $data_string = json_encode($data);
            
            // Initialize cURL session
            $ch = curl_init($url);
            
            // Set cURL options
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
             curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                'Content-Type: application/x-www-form-urlencoded',
                'Authorization:Basic YWRtaW46cGFzc3dvcmQ=')
            );
            // Execute the POST request
            $result = curl_exec($ch);
            
            // Check for errors
            if(curl_errno($ch)) {
               // echo 'Error: ' . curl_error($ch);
            }
            
            // Close cURL session
            curl_close($ch);
            
            // Print the response
            $resp=json_decode($result);
            $smart_track->transaction_hash = $resp->tx->hash;
            $smart_track->contract_response = json_encode($resp);
            $smart_track->save();
            //printr($resp);
    }
}
