<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Illuminate\Support\Facades\DB;

class User extends Authenticatable
{
    use HasFactory, Notifiable;


    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
        'role',
        'first_name',
        'last_name',
        'role_id',
        'active',
        'verified',
        'phone',
        'dial_code',
        'created_at',
        'updated_at'
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * Get the attributes that should be cast.
     *
     * @return array<string, string>
     */
    protected function casts(): array
    {
        return [
            'email_verified_at' => 'datetime',
            'password' => 'hashed',
        ];
    }
    
    public $appends = ['user_image_url'];
    public function getUserImageUrlAttribute(){
        return get_uploaded_image_url($this->user_image,'user_image_upload_dir');
    }
    function user_role() {
        return $this->belongsTo('App\Models\Role', 'role_id', 'id');
    }

    public static function update_password($id,$password){
        return DB::table("users")->where("id",'=',$id)->update(['password' =>bcrypt($password)]);
    }
    public function getStatusText()
    {
        if ($this->active == 1) {
            return 'Active';
        } else {
            return 'Inactive';
        }
    }
    
    public function refered_by_user(){
        return $this->hasOne('App\Models\User','id','refered_by');
    }
}
