<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->string("product_code");
            $table->string("product_name");
            $table->string("product_type")->default('daily')->comment("daily,monthly");
            $table->double("price")->default(0);
            $table->text("description")->nullable();
            $table->text("file_name")->nullable();
            $table->integer('drow_date')->nullable();
            $table->time("drow_time")->nullable();
            $table->integer("product_status")->default(1)->comment("1-active,0-inactive");
            $table->integer('created_by')->default(0);
            $table->integer('updated_by')->default(0);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products');
    }
};
