<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('transaction_tracks', function (Blueprint $table) {
            $table->id();
            $table->integer("user_id")->default(0)->nullable();
            $table->string("event_type")->nullable();
            $table->string("to_address")->nullable();
            $table->string("from_address")->nullable();
            $table->text("transaction_hash")->nullable();
            $table->string("amount")->nullable();
            $table->integer("is_process_completed")->default(0);
            $table->text("full_input")->nullable();
            $table->string("balance_amount")->nullable();
            
            $table->string("transaction_type")->nullable()->comment("registration,daily_lotery, monthly_lotery");
            $table->text("remark")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('transaction_tracks');
    }
};
