<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('amount_distribution_histories', function (Blueprint $table) {
            $table->id();
            $table->string("type")->comment("registration,lotery");
            $table->integer("user_id");
            $table->double("amount")->default(0);
            $table->text("transaction_hash")->nullable();
            $table->integer("earing_id")->default(0);
            $table->text("smart_contract_input")->nullable();
            $table->text("smart_contract_output")->nullable();
            $table->integer("mining_status")->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('amount_distribution_histories');
    }
};
