@extends('admin.template.layout')

@section('content')

<div class="card mb-5">
  

  <div class="card-header">
  @if(get_user_permission('orders','c'))
    <!-- <a href="{{route('admin.create_product')}}" class="btn-custom btn mr-2 mt-2 mb-2"><i
        class="fa-solid fa-plus"></i> Create</a> -->
        @endif
        <div class="col-md-12">
          <form method="get" action="">
            <div class="row">
              <div class="col-md-3">
                <div class="form-group">
                  <input class="form-control" type="text" name="search_key" value="{{$_GET['search_key']??''}}" placeholder="Ticket Number">
                </div>
              </div>
              <div class="col-md-3">
                <div class="form-group">
                  <input class="form-control" type="text" name="search_name" value="{{$_GET['search_name']??''}}" placeholder="Name">
                </div>
              </div>
              <div class="col-md-3">
                <div class="form-group">
                  <input class="form-control" type="text" name="search_wallet_address" value="{{$_GET['search_wallet_address']??''}}" placeholder="Wallet Address">
                </div>
              </div>
              <div class="col-md-3">
                <div class="form-group">
                  <input class="form-control" type="text" name="drow_date" autocomplete="off" data-provide="datepicker" value="{{$dr_date??''}}" placeholder="Drow Date">
                </div>
              </div>
              
              
              <div class="from-group">
                <button type="submit" class="btn btn-primary">FIlter</button>
                <a href="{{route('admin.list_orders_monthly')}}" class="btn btn-success">Clear</a>
              </div>
            </div>
          </form>
        </div>
  </div>
  
  <div class="card-body">
    <div class="table-responsive">
        <form method="post" action="{{route('admin.assign_multi_winner')}}" id="assign_multi_winner_form">
      <table class="table table-condensed table-striped" id="example2">
        <thead>
          <tr>
              <th></th>
            <th data-colname="id">#</th>
            <th data-colname="name">Ticket Number </th>
            <th data-colname="email">Draw Date</th>
            <th data-colname="phone">Draw Type</th>
            <th>User</th>
            <th data-colname="user_code">Is Winner</th>
            <th>Position</th>
            <th>Price Given</th>
            <th data-colname="created_at">Created on</th>
            <th data-colname="action">Action</th>
          </tr>
        </thead>
        <tbody>
        @foreach ($list as $role)
          <tr @if($role->is_winner==1) style="background-color: #f6d57e;" @endif >
          <td>@if($role->is_winner==0)<input type="checkbox" class="all_in_one" name="all_in_one[]" value="{{$role->id}}">@endif</td>
            <td>{{ $loop->index + 1 + ($list->perPage() * ($list->currentPage() - 1)) }}</td>
            <td>{{ $role->ticket_number }}</td>
            <td>{{ $role->drow_date }}</td>
           
            <td>{{ $role->product_type }}</td>
            <td>{{ $role->user->name??'' }}</td>
            <td>{!!($role->is_winner==1)?'<img src="https://dxbitprojects.com/bigloto/public/front/assets/images/premium.webp" class="img-fluid" style="height: 34px; margin-top: -10px;" alt="">':'NA'!!}</td>
            <td>{{ $role->winner_position }}</td>
            <td>{{ $role->winner_price }}</td>
            <td>{{ web_date_in_timezone($role->created_at) }}</td>
            <td>
                @if($role->is_winner==0)
              <div class="dropdown custom-dropdown">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink7" data-toggle="dropdown"
                  aria-haspopup="true" aria-expanded="true">
                  <i class="flaticon-dot-three"></i>
                </a>

                <div class="dropdown-menu" aria-labelledby="dropdownMenuLink7">
                  <!-- @if (get_user_permission('customers', 'u'))
                  <a class="dropdown-item" href="{{ route('admin.edit_product', ['id' => $role->id]) }}">
                    <i class="flaticon-pencil-1"></i> Edit
                  </a>
                  @endif -->
                  @if (get_user_permission('customers', 'u'))
                  <a class="dropdown-item make-winner" data-id="{{$role->id}}" >
                        <i class="flaticon-list"></i> Make User As Winner
                      </a>
                  @endif

                 
                </div>
              </div>
              @endif
            </td>
          </tr>
          @endforeach
        </tbody>
      </table>

      <div class="col-sm-12 col-md-12 pull-right">
        <div class="dataTables_paginate paging_simple_numbers" id="example2_paginate">
          {!! $list->appends(request()->all())->links('admin.template.pagination') !!}
        </div>
        <button type="button" class="btn btn-info" id="multiple-select">Assign Multiple Winner</button>
      </div>
        <div id="multiWinnerModal" class="modal fade" role="dialog">
          <div class="modal-dialog">
        
            <!-- Modal content-->
            <div class="modal-content">
              <div class="modal-header">
                
                <h4 class="modal-title">Make Winner</h4>
              </div>
              
                  @csrf
                  <input type="hidden" name="lotery_type" value="monthly">
                  
              <div class="modal-body">
                <div class="col-md-12">
                    <div class="form-group">
                      <select name="price_postion" class="form-control" required>
                          <option value="1">1st Price</option>
                          <option value="2">2nd Price</option>
                          <option value="3">3rd Price</option>
                          <option value="4">4th Price</option>
                          <option value="5">5th Price</option>
                          <option value="6">6th Price</option>
                          <option value="7">7th Price</option>
                          <option value="8">8th Price</option>
                          <option value="9">9th Price</option>
                          <option value="10">10th Price</option>
                      </select>
                    </div>
                  </div>
              </div>
              <div class="modal-footer">
                  <button type="submit" class="btn btn-success">Submit</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
              </div>
              
            </div>
        
          </div>
        </div>
      
        </form>
    </div>
  </div>
</div>
<div id="randomWinnerModal" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        
        <h4 class="modal-title">Generate Random Winner</h4>
      </div>
      <form method="post" action="{{route('admin.generate_random_winner')}}" id="generate_winner_form">
          @csrf
          <input type="hidden" name="lotery_type" value="monthly">
      <div class="modal-body">
        <div class="col-md-12">
            <div class="form-group">
              <input class="form-control" required type="text" name="lotery_drow_date" autocomplete="off" data-provide="datepicker" value="" placeholder="Drow Date">
            </div>
          </div>
      </div>
      <div class="modal-footer">
          <button type="submit" class="btn btn-success">Submit</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
      </form>
    </div>

  </div>
</div>
<div id="manualWinnerModal" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        
        <h4 class="modal-title">Make Winner</h4>
      </div>
      <form method="post" action="{{route('admin.add_winner')}}" id="make_winner_form">
          @csrf
          <input type="hidden" name="lotery_type" value="monthly">
          <input type="hidden" name="lot_id" id="lot_id" value="0">
      <div class="modal-body">
        <div class="col-md-12">
            <div class="form-group">
              <select name="price_postion" class="form-control" required>
                  <option value="1">1st Price</option>
                  <option value="2">2nd Price</option>
                  <option value="3">3rd Price</option>
                  <option value="4">4th Price</option>
                  <option value="5">5th Price</option>
                  <option value="6">6th Price</option>
                  <option value="7">7th Price</option>
                  <option value="8">8th Price</option>
                  <option value="9">9th Price</option>
                  <option value="10">10th Price</option>
              </select>
            </div>
          </div>
      </div>
      <div class="modal-footer">
          <button type="submit" class="btn btn-success">Submit</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
      </form>
    </div>

  </div>
</div>
@stop
@section('script')
<script>
  jQuery(document).ready(function(){

      App.initTreeView();

  })
  $('body').off('click','#multiple-select');
  $('body').on('click','#multiple-select',function(e){
      if ($('.all_in_one:checked').length === 0) {
            App.alert('Please check at least one checkbox.');
            event.preventDefault(); // Prevent form submission
        } else {
            $('#multiWinnerModal').modal("show");
        }
  });
  $('body').off("click",'.make-winner');
  $('body').on("click",'.make-winner',function(e){
      e.preventDefault();
      $('#lot_id').val($(this).attr("data-id"));
      $('#manualWinnerModal').modal("show");
  });
  
  $('body').off('submit', '#make_winner_form');
    $('body').on('submit', '#make_winner_form', function(e) {
        e.preventDefault();
        var validation = $.Deferred();
        var $form = $(this);
        var formData = new FormData(this);

        // $form.validate({
        //     rules: {

        //     },
        //     errorElement: 'div',
        //     errorPlacement: function(error, element) {
        //         element.addClass('is-invalid');
        //         error.addClass('error');
        //         error.insertAfter(element);
        //     }
        // });

        // Bind extra rules. This must be called after .validate()
        // App.setJQueryValidationRules('#admin_form');

        // if ( $form.valid() ) {
        //     validation.resolve();
        // } else {
        //     var error = $form.find('.is-invalid').eq(0);
        //     $('html, body').animate({
        //         scrollTop: (error.offset().top - 100),
        //     }, 500);
        //     validation.reject();
        // }

        // validation.done(function() {
            $form.find('.is-invalid').removeClass('is-invalid');
            $form.find('div.error').remove();


            App.loading(true);


            form_in_progress = 1;
            $.ajax({
                type: "POST",
                enctype: 'multipart/form-data',
                url: $form.attr('action'),
                data: formData,
                processData: false,
                contentType: false,
                cache: false,
                timeout: 600000,
                dataType:'html',
                success: function (res) {
                    res = JSON.parse(res);
                    console.log(res['status']);
                    form_in_progress = 0;
                    App.loading(false);
                    if ( res['status'] == 0 ) {
                        if ( typeof res['errors'] !== 'undefined' ) {
                            var error_def = $.Deferred();
                            var error_index = 0;
                            jQuery.each(res['errors'], function (e_field, e_message) {
                                if ( e_message != '' ) {
                                    $('[name="'+ e_field +'"]').eq(0).addClass('is-invalid');
                                    $('<div class="error">'+ e_message +'</div>').insertAfter($('[name="'+ e_field +'"]').eq(0));
                                    if ( error_index == 0 ) {
                                        error_def.resolve();
                                    }
                                    error_index++;
                                }
                            });
                            error_def.done(function() {
                                var error = $form.find('.is-invalid').eq(0);
                                                $('html, body').animate({
                                                    scrollTop: (error.offset().top - 100),
                                                }, 500);
                                            });
                            var m = res['message']||'Unable to save variation. Please try again later.';
                            App.alert(m, 'Oops!','error');
                        } else {
                            var m = res['message']||'Unable to save variation. Please try again later.';
                            App.alert(m, 'Oops!','error');
                        }
                    } else {
                        $('#manualWinnerModal').modal("hide");
                        App.alert(res['message']||'Winner generated successfully', 'Success!','success');
                        setTimeout(function(){
                            window.location.reload();
                        },2500);

                    }

                },
                error: function (e) {
                    form_in_progress = 0;
                    App.loading(false);
                    console.log(e);
                    App.alert( "Network error please try again", 'Oops!','error');
                }
            });
        // });
    });
    
$('body').off('submit', '#assign_multi_winner_form');
    $('body').on('submit', '#assign_multi_winner_form', function(e) {
        e.preventDefault();
        var validation = $.Deferred();
        var $form = $(this);
        var formData = new FormData(this);

        // $form.validate({
        //     rules: {

        //     },
        //     errorElement: 'div',
        //     errorPlacement: function(error, element) {
        //         element.addClass('is-invalid');
        //         error.addClass('error');
        //         error.insertAfter(element);
        //     }
        // });

        // Bind extra rules. This must be called after .validate()
        // App.setJQueryValidationRules('#admin_form');

        // if ( $form.valid() ) {
        //     validation.resolve();
        // } else {
        //     var error = $form.find('.is-invalid').eq(0);
        //     $('html, body').animate({
        //         scrollTop: (error.offset().top - 100),
        //     }, 500);
        //     validation.reject();
        // }

        // validation.done(function() {
            $form.find('.is-invalid').removeClass('is-invalid');
            $form.find('div.error').remove();


            App.loading(true);


            form_in_progress = 1;
            $.ajax({
                type: "POST",
                enctype: 'multipart/form-data',
                url: $form.attr('action'),
                data: formData,
                processData: false,
                contentType: false,
                cache: false,
                timeout: 600000,
                dataType:'html',
                success: function (res) {
                    res = JSON.parse(res);
                    console.log(res['status']);
                    form_in_progress = 0;
                    App.loading(false);
                    if ( res['status'] == 0 ) {
                        if ( typeof res['errors'] !== 'undefined' ) {
                            var error_def = $.Deferred();
                            var error_index = 0;
                            jQuery.each(res['errors'], function (e_field, e_message) {
                                if ( e_message != '' ) {
                                    $('[name="'+ e_field +'"]').eq(0).addClass('is-invalid');
                                    $('<div class="error">'+ e_message +'</div>').insertAfter($('[name="'+ e_field +'"]').eq(0));
                                    if ( error_index == 0 ) {
                                        error_def.resolve();
                                    }
                                    error_index++;
                                }
                            });
                            error_def.done(function() {
                                var error = $form.find('.is-invalid').eq(0);
                                                $('html, body').animate({
                                                    scrollTop: (error.offset().top - 100),
                                                }, 500);
                                            });
                            var m = res['message']||'Unable to save variation. Please try again later.';
                            App.alert(m, 'Oops!','error');
                        } else {
                            var m = res['message']||'Unable to save variation. Please try again later.';
                            App.alert(m, 'Oops!','error');
                        }
                    } else {
                        $('#multiWinnerModal').modal("hide");
                        App.alert(res['message']||'Winner generated successfully', 'Success!','success');
                        setTimeout(function(){
                            window.location.reload();
                        },2500);

                    }

                },
                error: function (e) {
                    form_in_progress = 0;
                    App.loading(false);
                    console.log(e);
                    App.alert( "Network error please try again", 'Oops!','error');
                }
            });
        // });
    });
</script>
@stop