@extends('template.backend-Dashboard')

@section('header')
<link href="{{ asset('') }}admin-assets/assets/css/support-chat.css" rel="stylesheet" type="text/css" />
<link href="{{ asset('') }}admin-assets/plugins/maps/vector/jvector/jquery-jvectormap-2.0.3.css" rel="stylesheet" type="text/css" />
<link href="{{ asset('') }}admin-assets/plugins/charts/chartist/chartist.css" rel="stylesheet" type="text/css">
<link href="{{ asset('') }}admin-assets/assets/css/default-dashboard/style.css" rel="stylesheet" type="text/css" />
<style>
    .error{
        color:red;
    }
</style>

<style>
    .home-section footer {
        bottom: auto !important;
    }

    .table>tbody>tr>td {
        white-space: nowrap;
    }
    pre {
        color: #fff !important;
    }
</style>
@stop


@section('sidebar_ul')
<ul class="nav-links">
@if(get_user_permission('dashboard','r'))
<li>
    <a href="{{ url('admin/dashboard') }}">
        <i class='bx bx-grid-alt'></i>
        <span class="link_name">Dashboard</span>
    </a>
    <ul class="sub-menu blank">
        <li>
            <a class="link_name" href="{{ url('admin/dashboard') }}">Dashboard</a>
        </li>
    </ul>
</li>
@endif
@if(get_user_permission('admin_users','r') || get_user_permission('user_roles','r'))
<li class="{{ (Request::is('admin/admin_users') || Request::is('admin/user_roles/list')) ? 'showMenu' : '' }}" >

    <div class="iocn-link">
        <a href="#">
            <i class='bx bx-user-circle'></i>
            <span class="link_name">Admin Users</span>
        </a>
        <i class='bx bxs-chevron-down arrow'></i>
    </div>
    <ul class="sub-menu">
        <li >
            <a class="link_name" href="#">Admin Users</a>
        </li>
        @if(get_user_permission('admin_users','r'))
            <li class="{{ (Request::is('admin/admin_users') ) ? 'active' : '' }}">
                <a class="{{ (Request::is('admin/user_roles/list') ) ? 'active' : '' }}" href="{{ url('admin/admin_users') }}">Admin User</a>
            </li>
        @endif
        @if(get_user_permission('user_roles','r'))
            <li class="{{ (Request::is('admin/user_roles/list') ) ? 'active' : '' }}">
                <a class="{{ (Request::is('admin/user_roles/list') ) ? 'active' : '' }}" href="{{ url('admin/user_roles/list') }}"> User Roles </a>
            </li>
            @endif
    </ul>
</li>
@endif
@if(get_user_permission('customers','r'))
<li>
    <a href="{{ route('admin.list_customers') }}">
        <i class='bx bx-user' ></i>
        <span class="link_name">Customers</span>
    </a>
    <ul class="sub-menu blank">
        <li>
            <a class="link_name" href="{{ route('admin.list_customers') }}">Customers</a>
        </li>
    </ul>
</li>
@endif
@if(get_user_permission('products','r'))
<li>
    <a href="{{ route('admin.list_product') }}">
        <i class='bx bx-sticker'></i>
        <span class="link_name">Tickets</span>
    </a>
    <ul class="sub-menu blank">
        <li>
            <a class="link_name" href="{{ route('admin.list_product') }}">Tickets</a>
        </li>
    </ul>
</li>
@endif

@if(get_user_permission('orders','r'))
<li class="{{ (Request::is('admin/monthly_ticket_purchases') || Request::is('admin/daily_ticket_purchases')) ? 'showMenu' : '' }}">
    <!--<a href="{{ route('admin.list_orders') }}">-->
    <!--    <i class='bx bx-grid-alt'></i>-->
    <!--    <span class="link_name">Purchases</span>-->
    <!--</a>-->
    <div class="iocn-link">
        <a href="#">
            <i class='bx bx-package' ></i>
            <span class="link_name">Purchases</span>
        </a>
        <i class='bx bxs-chevron-down arrow'></i>
    </div>
    <ul class="sub-menu">
        <li>
            <a class="link_name" href="#">Purchases</a>
        </li>
        <li>
            <a href="{{ route('admin.list_orders') }}">Daily Ticket</a>
        </li>
        <li>
            <a href="{{ route('admin.list_orders_monthly') }}">Monthly Ticket</a>
        </li>
    </ul>
</li>
@endif
@if(get_user_permission('cms','r') || get_user_permission('faq','r') || get_user_permission('help','r') || get_user_permission('contact_detail_settings','Edit') || get_user_permission('settings','Edit'))
            <li class="{{ (Request::is('admin/cms_pages') || Request::is('admin/faq') || Request::is('admin/contact_details') || Request::is('admin/settings')) ? 'showMenu' : '' }}">
                <div class="iocn-link">
                    <a href="#">
                        <i class='bx bx-file'></i>
                        <span class="link_name">Pages</span>
                    </a>
                    <i class='bx bxs-chevron-down arrow'></i>
                </div>
                <ul class="sub-menu">
                    <li>
                        <a class="link_name" href="#">Pages</a>
                    </li>

                    @if(get_user_permission('cms','r'))
                    <li>
                        <a href="{{ url('admin/cms_pages') }}"> CMS Pages </a>
                    </li>
                    @endif
                    @if(get_user_permission('faq','r'))
                    <li>
                        <a href="{{ url('admin/faq') }}"> FAQ </a>
                    </li>
                    @endif

                    
                    @if(get_user_permission('contact_detail_settings','u'))
                    <li>
                        <a href="{{ url('admin/contact_details') }}"> Contact Details Settings </a>
                    </li>
                    @endif
                    @if(get_user_permission('settings','u'))
                    <li>
                        <a href="{{ url('admin/settings') }}"> Settings </a>
                    </li>
                    @endif
                </ul>
            </li>
            @endif
    

            @if(get_user_permission('reports','r'))
            <li class="{{ (Request::is('admin/report_daily_tickets') || Request::is('admin/report_monthly_tickets') || Request::is('admin/report_daily_ticket_winners') || Request::is('admin/report_monthly_ticket_winners') || Request::is('admin/report_customers')) ? 'showMenu' : '' }}">
                
                <div class="iocn-link">
                    <a href="#">
                        <i class='bx bxs-report' ></i>
                        <span class="link_name">Reports</span>
                    </a>
                    <i class='bx bxs-chevron-down arrow'></i>
                </div>
                <ul class="sub-menu">
                    <li>
                        <a class="link_name" href="#">Reports</a>
                    </li>
                    <li>
                        <a href="{{ route('admin.report_daily_tickets') }}">Report Daily Ticket</a>
                    </li>
                    <li>
                        <a href="{{ route('admin.report_monthly_tickets') }}">Report Monthly Ticket</a>
                    </li>
                    <li>
                        <a href="{{ route('admin.report_daily_ticket_winners') }}">Report Daily Ticket Winners</a>
                    </li>
                    <li>
                        <a href="{{ route('admin.report_monthly_ticket_winners') }}">Report Monthly Ticket Winners</a>
                    </li>
                    <li>
                        <a href="{{ route('admin.report_customers') }}">Report Customers</a>
                    </li>
                </ul>
            </li>
@endif

@if(get_user_permission('transactions','r'))
<li>
    
    <div class="iocn-link">
        <a href="{{ route('admin.list_transactions') }}">
            <i class='bx bx-package' ></i>
            <span class="link_name">Transactions</span>
        </a>
        <!--<i class='bx bxs-chevron-down arrow'></i>-->
    </div>
    <ul class="sub-menu">
        
        <li>
            <a href="{{ route('admin.list_transactions') }}">Transactions</a>
        </li>
        
    </ul>
</li>
@endif

@if(get_user_permission('commission_distribution','r'))
<li>
    
    <div class="iocn-link">
        <a href="{{ route('admin.commission_distribution') }}">
            <i class='bx bx-package' ></i>
            <span class="link_name">Commission Distribution</span>
        </a>
        <!--<i class='bx bxs-chevron-down arrow'></i>-->
    </div>
    <ul class="sub-menu">
        
        <li>
            <a href="{{ route('admin.commission_distribution') }}">Commission Distribution</a>
        </li>
        
    </ul>
</li>
@endif

@if(get_user_permission('winner_distribution','r'))
<li>
    
    <div class="iocn-link">
        <a href="{{ route('admin.winner_distribution') }}">
            <i class='bx bx-package' ></i>
            <span class="link_name">Winner Price Distribution</span>
        </a>
        
    </div>
    <ul class="sub-menu">
        
        <li>
            <a href="{{ route('admin.winner_distribution') }}">Winner Price Distribution</a>
        </li>
        
    </ul>
</li>
@endif

</ul>
@stop


@section('right_bar_dropdown')
<div class="dropdown user-dropdown">
    <button class="dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <span class="profile-name">Hi, {{Auth::user()->name??''}}</span>
        <img src="{{ asset('') }}admin-assets/assets/img/profile-icon.svg" alt="mdo" width="32" height="32" class="rounded-circle">
    </button>
    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
        <a class="dropdown-item" href="{{ url('admin/dashboard') }}"><i class='bx bx-grid-alt'></i> Dashboard</a>
        <a class="dropdown-item" href="{{ url('admin/change_password') }}"><i class='bx bxs-key'></i> Change Password</a>
        <a class="dropdown-item" href="{{ url('admin/logout') }}"><i class='bx bx-log-out'></i>
            Log Out</a>
    </div>
</div>
@stop



<!--<div class="row">-->
<!--    <div class="col-12">-->
<!--        @section('content')-->
<!--            @yield('content')-->
<!--        @stop-->
<!--    </div>-->
<!--</div>-->


@section('footer')
<script src="{{asset('')}}admin-assets/plugins/charts/chartist/chartist.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.9.1/chart.min.js" integrity="sha512-ElRFoEQdI5Ht6kZvyzXhYG9NqjtkmlkfYk0wr6wHxU9JEHakS7UJZNeml5ALk+8IKlU6jDgMabC3vkumRokgJA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels@2.0.0-rc"></script>
@stop