@extends('admin.template.layout')


@section('content')

<div class="card mb-5">
  

  <div class="card-header">
  
        <div class="col-md-12">
          <form method="get" action="">
            <div class="row">
              <div class="col-md-3">
                <div class="form-group">
                  <input class="form-control" type="text" name="transaction_hash" value="{{$_GET['transaction_hash']??''}}" placeholder="Transaction Hash">
                </div>
              </div>
              <div class="col-md-3">
                <div class="form-group">
                  <input class="form-control" type="text" name="from_address" value="{{$_GET['from_address']??''}}" placeholder="From Address">
                </div>
              </div>
              <div class="col-md-3">
                <div class="form-group">
                  <select name="transaction_type" class="form-control">
                      <option value="">Select Type</option>
                      <option {{( ($_GET['transaction_type']??'')=='registration')?'selected':''}} value="registration">Registration</option>
                      <option {{( ($_GET['transaction_type']??'')=='daily_lotery')?'selected':''}} value="daily_lotery">Daily Lotery</option>
                      <option {{( ($_GET['transaction_type']??'')=='monthly_lotery')?'selected':''}} value="monthly_lotery">Monthly Lotery</option>
                  </select>
                </div>
              </div>
              
              
              <div class="from-group">
                <button type="submit" class="btn btn-primary">FIlter</button>
                <a href="{{route('admin.list_transactions')}}" class="btn btn-success">Clear</a>
              </div>
            </div>
          </form>
        </div>
  </div>
  
  <div class="card-body">
    <div class="table-responsive">
      <table class="table table-condensed table-striped" id="example2">
        <thead>
          <tr>
            <th data-colname="id">#</th>
            <th data-colname="name">Ticket Hash </th>
            <th data-colname="email">Transaction Type</th>
            <th>From Address</th>
            <th data-colname="phone">Remark</th>
            <th>Amount</th>
            <th>Balance</th>
            <th data-colname="user_code">Status</th>
            <th>User</th>
            <th data-colname="created_at">Created on</th>
            
            <th data-colname="action">Action</th>
            <th>Transaction Data</th>
          </tr>
        </thead>
        <tbody>
        @foreach ($list as $role)
          <tr >
            <td>{{ $loop->index + 1 + ($list->perPage() * ($list->currentPage() - 1)) }}</td>
            <td>{{ substr($role->transaction_hash,0,7).'..' }} @if($role->transaction_hash != '') <a style="color:#e1c872;" target="blank" href="https://polygonscan.com/tx/{{ $role->transaction_hash }}"><i class="fa fa-link"></i></a>@endif</td>
            <td>{{ $role->transaction_type }}</td>
           
            <td>{{ $role->from_address }}</td>
            <td>{{ $role->remark }}</td>
            <td>{{ $role->amount }}</td>
            <td>{{ $role->balance_amount }}</td>
            <td>{{($role->is_process_completed==1)?'Completed':'Inprocess'}}</td>
            <td>{{ $role->user->name??'' }}<br>{{ $role->user->email??'' }}</td>
            <td>{{ web_date_in_timezone($role->created_at) }}</td>
            
            <td>
              <div class="dropdown custom-dropdown">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink7" data-toggle="dropdown"
                  aria-haspopup="true" aria-expanded="true">
                  <i class="flaticon-dot-three"></i>
                </a>

                <div class="dropdown-menu" aria-labelledby="dropdownMenuLink7">
                  
                  @if($role->transaction_type == 'registration' && $role->is_process_completed == 0)
                  <a class="dropdown-item" data-role="unlink"
                    data-message="Do you want to allote membership package to this user? "
                    href="{{ route('admin.allote_membership', ['id' => $role->id]) }}">
                    <i class="flaticon-list"></i> Allote Membership
                  </a>
                  @endif
                  
                  @if($role->transaction_type == 'daily_lotery' && $role->is_process_completed == 0)
                  <a class="dropdown-item" data-role="unlink"
                    data-message="Do you want to allote daily lotery to this user? "
                    href="{{ route('admin.allote_daily_lotery', ['id' => $role->id]) }}">
                    <i class="flaticon-list"></i> Allote Daily Lotery
                  </a>
                  @endif
                  
                  @if($role->transaction_type == 'monthly_lotery' && $role->is_process_completed == 0)
                  <a class="dropdown-item" data-role="unlink"
                    data-message="Do you want to allote monthly lotery to this user? "
                    href="{{ route('admin.allote_monthly_lotery', ['id' => $role->id]) }}">
                    <i class="flaticon-list"></i> Allote Monthly Lotery
                  </a>
                  @endif
                  

                 
                </div>
              </div>
            </td>
            <td>
                <pre>
                    {!!$role->full_input!!}
                </pre>
            </td>
          </tr>
          @endforeach
        </tbody>
      </table>

      <div class="col-sm-12 col-md-12 pull-right">
        <div class="dataTables_paginate paging_simple_numbers" id="example2_paginate">
          {!! $list->appends(request()->all())->links('admin.template.pagination') !!}
        </div>
      </div>

    </div>
  </div>
</div>
@stop
@section('script')
<script>
  jQuery(document).ready(function(){

      App.initTreeView();

  })
</script>
@stop