@extends('admin.template.layout')


@section('content')

<div class="card mb-5">
  

  <div class="card-header">
  
        <div class="col-md-12">
          <form method="get" action="">
            <div class="row">
              <div class="col-md-3">
                <div class="form-group">
                  <input class="form-control" type="text" name="transaction_hash" value="{{$_GET['transaction_hash']??''}}" placeholder="Transaction Hash">
                </div>
              </div>
              
              
              
              
              <div class="from-group">
                <button type="submit" class="btn btn-primary">FIlter</button>
                <a href="{{route('admin.winner_distribution')}}" class="btn btn-success">Clear</a>
              </div>
            </div>
          </form>
        </div>
  </div>
  
  <div class="card-body">
    <div class="table-responsive">
      <table class="table table-condensed table-striped" id="example2">
        <thead>
          <tr>
            <th data-colname="id">#</th>
            <th data-colname="name">Ticket Hash </th>
            <th>Ticket</th>
            <th>User</th>
            <th>Amount</th>
            
            <th data-colname="user_code">Status</th>
            
            <th data-colname="created_at">Created on</th>
            
            <th data-colname="action">Action</th>
            <th>Input Data</th>
            <th>Response Data</th>
          </tr>
        </thead>
        <tbody>
        @foreach ($list as $role)
          <tr >
            <td>{{ $loop->index + 1 + ($list->perPage() * ($list->currentPage() - 1)) }}</td>
            <td>{{ substr($role->transaction_hash,0,7).'..' }} @if($role->transaction_hash != '') <a style="color:#e1c872;" target="blank" href="https://polygonscan.com/tx/{{ $role->transaction_hash }}"><i class="fa fa-link"></i></a>@endif</td>
            <td>{{ $role->order->ticket_number }}</td>
             <td>{{ $role->user->name??'' }}<br>{{ $role->user->email??'' }}<br>{{ $role->user->wallet_address??'' }}</td>
            
            
            <td>{{ $role->price_paid }}</td>
           <td>{{($role->distribution_status==2)?'Completed':'Inprocess'}}</td>
            <td>{{ web_date_in_timezone($role->created_at) }}</td>
            
            <td>
              <div class="dropdown custom-dropdown">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink7" data-toggle="dropdown"
                  aria-haspopup="true" aria-expanded="true">
                  <i class="flaticon-dot-three"></i>
                </a>

                <div class="dropdown-menu" aria-labelledby="dropdownMenuLink7">
                  
                  @if($role->distribution_status ==  0)
                  <a class="dropdown-item" data-role="unlink"
                    data-message="Do you want to reinitate this transaction? "
                    href="{{ route('admin.reintiate_winner_price', ['id' => $role->id]) }}">
                    <i class="flaticon-list"></i> Reinitate
                  </a>
                  @endif

                 
                </div>
              </div>
            </td>
            <td>
                <pre>
                    {!!$role->contract_input!!}
                </pre>
            </td>
            <td>
                <pre>
                    {!!$role->contract_response!!}
                </pre>
            </td>
          </tr>
          @endforeach
        </tbody>
      </table>

      <div class="col-sm-12 col-md-12 pull-right">
        <div class="dataTables_paginate paging_simple_numbers" id="example2_paginate">
          {!! $list->appends(request()->all())->links('admin.template.pagination') !!}
        </div>
      </div>

    </div>
  </div>
</div>
@stop
@section('script')
<script>
  jQuery(document).ready(function(){

      App.initTreeView();

  })
</script>
@stop